Riot Blockchain Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/riot-blockchain-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/riot-blockchain-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1764806400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.riotplatforms.com/riot-announces-november-2025-production-and-operations-updates/",
    "holding_balance": 19368.0,
    "holding_net_change": 44.0,
    "transaction_value_usd": 4053544.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767657600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.riotplatforms.com/riot-announces-december-2025-production-and-operations-updates/",
    "holding_balance": 18005.0,
    "holding_net_change": -1363.0,
    "transaction_value_usd": 127659943.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1775088000000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.riotplatforms.com/riot-announces-first-quarter-2026-production-and-operations-updates/",
    "holding_balance": 15680.0,
    "holding_net_change": -2325.0,
    "transaction_value_usd": 155594556.75,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/riot-blockchain-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    15680.0
  ],
  [
    1782950400000,
    15680.0
  ],
  [
    1783036800000,
    15680.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/riot-blockchain-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    940244144.0
  ],
  [
    1782950400000,
    964129174.4
  ],
  [
    1783036800000,
    980407523.1999999
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/riot-blockchain-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 26.3,
    "date": "2026-06-30",
    "high": 27.53,
    "open": 27.35,
    "close": 27.38,
    "volume": 16741000
  },
  {
    "low": 23.722,
    "date": "2026-07-01",
    "high": 26.88,
    "open": 26.865,
    "close": 23.96,
    "volume": 21716100
  },
  {
    "low": 21.58,
    "date": "2026-07-02",
    "high": 24.0,
    "open": 23.905,
    "close": 22.11,
    "volume": 18817500
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/riot-blockchain-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.295,
  "quarterly_earnings_growth": 0.373,
  "eps_estimate_current_quarter": -0.28
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/riot-blockchain-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -19.07,
  "six_month_return": 74.09,
  "three_month_return": 76.18
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/riot-blockchain-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 11.7,
  "total_btc_percentage": 0.075,
  "share_price_change_state": "down"
}